Functions
Configuration functions
Peripheral Driver » LL Driver » PWM » Functions

## Functions
__STATIC_INLINE void | ll_pwm_enable (pwm_regs_t *PWMx)
| Enable PWM. More...
__STATIC_INLINE void | ll_pwm_disable (pwm_regs_t *PWMx)
| Disable PWM. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled (pwm_regs_t *PWMx)
| Indicate whether the PWM is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_pause (pwm_regs_t *PWMx)
| Enable PWM pause. More...
__STATIC_INLINE void | ll_pwm_disable_pause (pwm_regs_t *PWMx)
| Disable PWM pause. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_pause (pwm_regs_t *PWMx)
| Indicate whether the PWM pause is enabled. More...
__STATIC_INLINE void | ll_pwm_set_mode (pwm_regs_t *PWMx, ll_pwm_mode_t mode)
| Set PWM mode. More...
__STATIC_INLINE ll_pwm_mode_t | ll_pwm_get_mode (pwm_regs_t *PWMx)
| Get PWM mode. More...
__STATIC_INLINE void | ll_pwm_enable_positive_drive_channel_a (pwm_regs_t *PWMx)
| Enable positive drive mode in channelA. More...
__STATIC_INLINE void | ll_pwm_disable_positive_drive_channel_a (pwm_regs_t *PWMx)
| Disable positive drive mode in channelA. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_positive_drive_channel_a (pwm_regs_t *PWMx)
| Indicate whether the positive drive mode in channelA is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_positive_drive_channel_b (pwm_regs_t *PWMx)
| Enable positive drive mode in channelB. More...
__STATIC_INLINE void | ll_pwm_disable_positive_drive_channel_b (pwm_regs_t *PWMx)
| Disable positive drive mode in channelB. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_positive_drive_channel_b (pwm_regs_t *PWMx)
| Indicate whether the positive drive mode in channelB is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_positive_drive_channel_c (pwm_regs_t *PWMx)
| Enable positive drive mode in channelC. More...
__STATIC_INLINE void | ll_pwm_disable_positive_drive_channel_c (pwm_regs_t *PWMx)
| Disable positive drive mode in channelC. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_positive_drive_channel_c (pwm_regs_t *PWMx)
| Indicate whether the positive drive mode in channelC is enabled. More...
__STATIC_INLINE void | ll_pwm_set_flicker_stop_level_a (pwm_regs_t *PWMx, uint32_t flickerstop_lvl)
| Set the channel_a stop level in flicker mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_flicker_stop_level_a (pwm_regs_t *PWMx)
| Get the channel_a stop level in flicker mode. More...
__STATIC_INLINE void | ll_pwm_set_flicker_stop_level_b (pwm_regs_t *PWMx, uint32_t flickerstop_lvl)
| Set the channel_b stop level in flicker mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_flicker_stop_level_b (pwm_regs_t *PWMx)
| Get the channel_b stop level in flicker mode. More...
__STATIC_INLINE void | ll_pwm_set_flicker_stop_level_c (pwm_regs_t *PWMx, uint32_t flickerstop_lvl)
| Set the channel_c stop level in flicker mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_flicker_stop_level_c (pwm_regs_t *PWMx)
| Get the channel_c stop level in flicker mode. More...
__STATIC_INLINE void | ll_pwm_set_waiting_time_level_a (pwm_regs_t *PWMx, uint8_t waiting_time_lvl)
| Set the channel_a waiting time level in coding mode. More...
__STATIC_INLINE uint8_t | ll_pwm_get_waiting_time_level_a (pwm_regs_t *PWMx)
| Get the channel_a waiting time level in coding mode. More...
__STATIC_INLINE void | ll_pwm_set_waiting_time_level_b (pwm_regs_t *PWMx, uint8_t waiting_time_lvl)
| Set the channel_b waiting time level in coding mode. More...
__STATIC_INLINE uint8_t | ll_pwm_get_waiting_time_level_b (pwm_regs_t *PWMx)
| Get the channel_b waiting time level in coding mode. More...
__STATIC_INLINE void | ll_pwm_set_waiting_time_level_c (pwm_regs_t *PWMx, uint8_t waiting_time_lvl)
| Set the channel_c waiting time level in coding mode. More...
__STATIC_INLINE uint8_t | ll_pwm_get_waiting_time_level_c (pwm_regs_t *PWMx)
| Get the channel_c waiting time level in coding mode. More...
__STATIC_INLINE void | ll_pwm_set_dma_enable (pwm_regs_t *PWMx)
| Set DMA enable in coding mode. More...
__STATIC_INLINE void | ll_pwm_set_dma_disable (pwm_regs_t *PWMx)
| Set DMA disable in coding mode. More...
__STATIC_INLINE uint8_t | ll_pwm_get_dma_en (pwm_regs_t *PWMx)
| Get DMA enable or disable. More...
__STATIC_INLINE void | ll_pwm_coding_channel_select (pwm_regs_t *PWMx, uint8_t coding_channel)
| Choose 3 channels operation in coding mode or only choose channel A operation in coding mode. More...
__STATIC_INLINE uint8_t | ll_pwm_get_coding_channel (pwm_regs_t *PWMx)
| Get PWM coding channel. More...
__STATIC_INLINE uint32_t | ll_pwm_is_active_flag_update_all (pwm_regs_t *PWMx)
| Check update active flag. More...
__STATIC_INLINE void | ll_pwm_enable_update_all (pwm_regs_t *PWMx)
| Enable update all parameters. More...
__STATIC_INLINE void | ll_pwm_disable_update_all (pwm_regs_t *PWMx)
| Disable update all parameters. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_all (pwm_regs_t *PWMx)
| Indicate whether the update all parameters is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_period (pwm_regs_t *PWMx)
| Enable update period. More...
__STATIC_INLINE void | ll_pwm_disable_update_period (pwm_regs_t *PWMx)
| Disable update period. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_period (pwm_regs_t *PWMx)
| Indicate whether the update period is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_compare_a0 (pwm_regs_t *PWMx)
| Enable update compareA0. More...
__STATIC_INLINE void | ll_pwm_disable_update_compare_a0 (pwm_regs_t *PWMx)
| Disable update compareA0. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_compare_a0 (pwm_regs_t *PWMx)
| Indicate whether the update compareA0 is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_compare_a1 (pwm_regs_t *PWMx)
| Enable update compareA1. More...
__STATIC_INLINE void | ll_pwm_disable_update_compare_a1 (pwm_regs_t *PWMx)
| Disable update compareA1. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_compare_a1 (pwm_regs_t *PWMx)
| Indicate whether the update compareA1 is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_compare_b0 (pwm_regs_t *PWMx)
| Enable update compareB0. More...
__STATIC_INLINE void | ll_pwm_disable_update_compare_b0 (pwm_regs_t *PWMx)
| Disable update compareB0. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_compare_b0 (pwm_regs_t *PWMx)
| Indicate whether the update compareB0 is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_compare_b1 (pwm_regs_t *PWMx)
| Enable update compareB1. More...
__STATIC_INLINE void | ll_pwm_disable_update_compare_b1 (pwm_regs_t *PWMx)
| Disable update compareB1. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_compare_b1 (pwm_regs_t *PWMx)
| Indicate whether the update compareB1 is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_compare_c0 (pwm_regs_t *PWMx)
| Enable update compareC0. More...
__STATIC_INLINE void | ll_pwm_disable_update_compare_c0 (pwm_regs_t *PWMx)
| Disable update compareC0. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_compare_c0 (pwm_regs_t *PWMx)
| Indicate whether the update compareC0 is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_compare_c1 (pwm_regs_t *PWMx)
| Enable update compareC1. More...
__STATIC_INLINE void | ll_pwm_disable_update_compare_c1 (pwm_regs_t *PWMx)
| Disable update compareC1. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_compare_c1 (pwm_regs_t *PWMx)
| Indicate whether the update compareC1 is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_breath_period (pwm_regs_t *PWMx)
| Enable update breath period. More...
__STATIC_INLINE void | ll_pwm_disable_update_breath_period (pwm_regs_t *PWMx)
| Disable update breath period. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_breath_period (pwm_regs_t *PWMx)
| Indicate whether the update breath period is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_hold_period (pwm_regs_t *PWMx)
| Enable update hold period. More...
__STATIC_INLINE void | ll_pwm_disable_update_hold_period (pwm_regs_t *PWMx)
| Disable update hold period. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_hold_period (pwm_regs_t *PWMx)
| Indicate whether the update hold period is enabled. More...
__STATIC_INLINE void | ll_pwm_enable_update_active_event (pwm_regs_t *PWMx)
| Enable update active event. More...
__STATIC_INLINE void | ll_pwm_disable_update_active_event (pwm_regs_t *PWMx)
| Disable update active event. More...
__STATIC_INLINE uint32_t | ll_pwm_is_enabled_update_active_event (pwm_regs_t *PWMx)
| Indicate whether the update active event is enabled. More...
__STATIC_INLINE void | ll_pwm_set_prescaler (pwm_regs_t *PWMx, uint32_t prescaler)
| Set the PWM prescaler. More...
__STATIC_INLINE uint32_t | ll_pwm_get_prescaler (pwm_regs_t *PWMx)
| Get the PWM prescaler. More...
__STATIC_INLINE void | ll_pwm_set_compare_a0 (pwm_regs_t *PWMx, uint32_t compare)
| Set the PWM compare counter A0. More...
__STATIC_INLINE uint32_t | ll_pwm_get_compare_a0 (pwm_regs_t *PWMx)
| Get the PWM compare counter A0. More...
__STATIC_INLINE void | ll_pwm_set_compare_a1 (pwm_regs_t *PWMx, uint32_t compare)
| Set the PWM compare counter A1. More...
__STATIC_INLINE uint32_t | ll_pwm_get_compare_a1 (pwm_regs_t *PWMx)
| Get the PWM compare counter A1. More...
__STATIC_INLINE void | ll_pwm_set_compare_b0 (pwm_regs_t *PWMx, uint32_t compare)
| Set the PWM compare counter B0. More...
__STATIC_INLINE uint32_t | ll_pwm_get_compare_b0 (pwm_regs_t *PWMx)
| Get the PWM compare counter B0. More...
__STATIC_INLINE void | ll_pwm_set_compare_b1 (pwm_regs_t *PWMx, uint32_t compare)
| Set the PWM compare counter B1. More...
__STATIC_INLINE uint32_t | ll_pwm_get_compare_b1 (pwm_regs_t *PWMx)
| Get the PWM compare counter B1. More...
__STATIC_INLINE void | ll_pwm_set_compare_c0 (pwm_regs_t *PWMx, uint32_t compare)
| Set the PWM compare counter C0. More...
__STATIC_INLINE uint32_t | ll_pwm_get_compare_c0 (pwm_regs_t *PWMx)
| Get the PWM compare counter C0. More...
__STATIC_INLINE void | ll_pwm_set_compare_c1 (pwm_regs_t *PWMx, uint32_t compare)
| Set the PWM compare counter C1. More...
__STATIC_INLINE uint32_t | ll_pwm_get_compare_c1 (pwm_regs_t *PWMx)
| Get the PWM compare counter C1. More...
__STATIC_INLINE void | ll_pwm_set_action_event_cmp_a0 (pwm_regs_t *PWMx, uint32_t action_event)
| Set the channel A0 action event when PWM counter value reaches compare counter A0. More...
__STATIC_INLINE uint32_t | ll_pwm_get_action_event_cmp_a0 (pwm_regs_t *PWMx)
| Get the channel A0 action event when PWM counter value reaches compare counter A0. More...
__STATIC_INLINE void | ll_pwm_set_action_event_cmp_a1 (pwm_regs_t *PWMx, uint32_t action_event)
| Set the channel A1 action event when PWM counter value reaches compare counter A1. More...
__STATIC_INLINE uint32_t | ll_pwm_get_action_event_cmp_a1 (pwm_regs_t *PWMx)
| Get the channel A1 action event when PWM counter value reaches compare counter A1. More...
__STATIC_INLINE void | ll_pwm_set_action_event_cmp_b0 (pwm_regs_t *PWMx, uint32_t action_event)
| Set the channel B0 action event when PWM counter value reaches compare counter B0. More...
__STATIC_INLINE uint32_t | ll_pwm_get_action_event_cmp_b0 (pwm_regs_t *PWMx)
| Get the channel B0 action event when PWM counter value reaches compare counter B0. More...
__STATIC_INLINE void | ll_pwm_set_action_event_cmp_b1 (pwm_regs_t *PWMx, uint32_t action_event)
| Set the channel B1 action event when PWM counter value reaches compare counter B1. More...
__STATIC_INLINE uint32_t | ll_pwm_get_action_event_cmp_b1 (pwm_regs_t *PWMx)
| Get the channel B1 action event when PWM counter value reaches compare counter B1. More...
__STATIC_INLINE void | ll_pwm_set_action_event_cmp_c0 (pwm_regs_t *PWMx, uint32_t action_event)
| Set the channel C0 action event when PWM counter value reaches compare counter C0. More...
__STATIC_INLINE uint32_t | ll_pwm_get_action_event_cmp_c0 (pwm_regs_t *PWMx)
| Get the channel C0 action event when PWM counter value reaches compare counter C0. More...
__STATIC_INLINE void | ll_pwm_set_action_event_cmp_c1 (pwm_regs_t *PWMx, uint32_t action_event)
| Set the channel C1 action event when PWM counter value reaches compare counter C1. More...
__STATIC_INLINE uint32_t | ll_pwm_get_action_event_cmp_c1 (pwm_regs_t *PWMx)
| Get the channel C1 action event when PWM counter value reaches compare counter C1. More...
__STATIC_INLINE void | ll_pwm_set_breath_prescaler (pwm_regs_t *PWMx, uint32_t bprescaler)
| Set the breath prescaler in breath mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_breath_prescaler (pwm_regs_t *PWMx)
| Get the breath prescaler in breath mode. More...
__STATIC_INLINE void | ll_pwm_set_hold_prescaler (pwm_regs_t *PWMx, uint32_t hprescaler)
| Set the hold prescaler in breath mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_hold_prescaler (pwm_regs_t *PWMx)
| Get the hold prescaler in breath mode. More...
__STATIC_INLINE void | ll_pwm_set_breath_stop_level (pwm_regs_t *PWMx, uint32_t breathstop_lvl)
| Set the stop level in breath mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_breath_stop_level (pwm_regs_t *PWMx)
| Get the stop level in breath mode. More...
__STATIC_INLINE void | ll_pwm_set_prd_cycles (pwm_regs_t *PWMx, uint32_t prd_cycles)
| Set the number of PWM period cycle in flicker mode or coding mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_prd_cycles (pwm_regs_t *PWMx)
| Get the number of PWM period cycle. More...
__STATIC_INLINE void | ll_pwm_set_waiting_time (pwm_regs_t *PWMx, uint32_t waiting_time)
| Set the waiting time count in coding mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_waiting_time (pwm_regs_t *PWMx)
| Get the waiting time count. More...
__STATIC_INLINE void | ll_pwm_set_data_width_valid (pwm_regs_t *PWMx, uint8_t data_valid_width)
| Set the valid coding data width in coding mode. More...
__STATIC_INLINE uint8_t | ll_pwm_get_data_width_valid (pwm_regs_t *PWMx)
| Get the valid coding data width. More...
__STATIC_INLINE void | ll_pwm_set_coding_data (pwm_regs_t *PWMx, uint32_t coding_data)
| Set the PWM coding data in coding mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_coding_data (pwm_regs_t *PWMx)
| Get the PWM coding data in coding mode. More...
__STATIC_INLINE uint32_t | ll_pwm_get_coding_status (pwm_regs_t *PWMx)
| Get pwm coding status. More...
__STATIC_INLINE void | ll_pwm_clr_coding_a_error_status (pwm_regs_t *PWMx)
| Clear pwma coding error status. More...
__STATIC_INLINE uint8_t | ll_pwm_get_coding_a_error_status (pwm_regs_t *PWMx)
| Get pwma coding error status. More...
__STATIC_INLINE void | ll_pwm_clr_coding_b_error_status (pwm_regs_t *PWMx)
| Clear pwmb coding error status. More...
__STATIC_INLINE uint8_t | ll_pwm_get_coding_b_error_status (pwm_regs_t *PWMx)
| Get pwmb coding error status. More...
__STATIC_INLINE void | ll_pwm_clr_coding_c_error_status (pwm_regs_t *PWMx)
| Clear pwmc coding error status. More...
__STATIC_INLINE uint8_t | ll_pwm_get_coding_c_error_status (pwm_regs_t *PWMx)
| Get pwmc coding error status. More...
__STATIC_INLINE void | ll_pwm_clr_coding_done_status (pwm_regs_t *PWMx)
| Clear coding done status. More...
__STATIC_INLINE uint8_t | ll_pwm_get_coding_done_status (pwm_regs_t *PWMx)
| Get PWM conding done status. More...
__STATIC_INLINE void | ll_pwm_clr_coding_load_status (pwm_regs_t *PWMx)
| Clear coding load status. More...
__STATIC_INLINE uint8_t | ll_pwm_get_coding_load_status (pwm_regs_t *PWMx)
| Get PWM conding load status. More...
__STATIC_INLINE uint32_t | ll_pwm_dma_get_register_address (pwm_regs_t *PWMx)
| Get the coding data register address used for DMA transfer. More...

## Detailed Description

## Function Documentation

## ◆ ll_pwm_clr_coding_a_error_status()

__STATIC_INLINE void ll_pwm_clr_coding_a_error_status | ( | pwm_regs_t * | PWMx | ) |

Clear pwma coding error status.

Register|BitsName --------|-------- CLR_CODING_STATUS | CODING_A_ERROR_CLR

Parameters

  PWMx |

Return values

  None. |

Definition at line 2130 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_clr_coding_b_error_status()

__STATIC_INLINE void ll_pwm_clr_coding_b_error_status | ( | pwm_regs_t * | PWMx | ) |

Clear pwmb coding error status.

Register|BitsName --------|-------- CLR_CODING_STATUS | CODING_B_ERROR_CLR

Parameters

  PWMx |

Return values

  None. |

Definition at line 2160 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_clr_coding_c_error_status()

__STATIC_INLINE void ll_pwm_clr_coding_c_error_status | ( | pwm_regs_t * | PWMx | ) |

Clear pwmc coding error status.

Register|BitsName --------|-------- CLR_CODING_STATUS | CODING_C_ERROR_CLR

Parameters

  PWMx |

Return values

  None. |

Definition at line 2190 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_clr_coding_done_status()

__STATIC_INLINE void ll_pwm_clr_coding_done_status | ( | pwm_regs_t * | PWMx | ) |

Clear coding done status.

Register|BitsName --------|-------- CLR_CODING_STATUS | CODING_DONE_CLR

Parameters

  PWMx |

Return values

  None. |

Definition at line 2220 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_clr_coding_load_status()

__STATIC_INLINE void ll_pwm_clr_coding_load_status | ( | pwm_regs_t * | PWMx | ) |

Clear coding load status.

Register|BitsName --------|-------- CLR_CODING_STATUS | CODING_LAOD_CLR

Parameters

  PWMx |

Return values

  None. |

Definition at line 2250 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_coding_channel_select()

__STATIC_INLINE void ll_pwm_coding_channel_select | ( | pwm_regs_t * | PWMx,
|  | uint8_t | coding_channel
| ) |  |

Choose 3 channels operation in coding mode or only choose channel A operation in coding mode.

Register|BitsName --------|-------- MODE | CODING_CHANNEL_SELECT

Parameters

  PWMx |
  coding_channel | This parameter can be set with LL_PWM_CODING_CHANNEL_ALL or LL_PWM_CODING_CHANNEL_A.

Return values

  None |

Definition at line 906 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable()

__STATIC_INLINE void ll_pwm_disable | ( | pwm_regs_t * | PWMx | ) |

Disable PWM.

Register|BitsName --------|-------- MODE | EN

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 415 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_pause()

__STATIC_INLINE void ll_pwm_disable_pause | ( | pwm_regs_t * | PWMx | ) |

Disable PWM pause.

Register|BitsName --------|-------- MODE | PAUSE

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 460 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_positive_drive_channel_a()

__STATIC_INLINE void ll_pwm_disable_positive_drive_channel_a | ( | pwm_regs_t * | PWMx | ) |

Disable positive drive mode in channelA.

Register|BitsName --------|-------- MODE | DPENA

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 554 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_positive_drive_channel_b()

__STATIC_INLINE void ll_pwm_disable_positive_drive_channel_b | ( | pwm_regs_t * | PWMx | ) |

Disable positive drive mode in channelB.

Register|BitsName --------|-------- MODE | DPENB

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 599 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_positive_drive_channel_c()

__STATIC_INLINE void ll_pwm_disable_positive_drive_channel_c | ( | pwm_regs_t * | PWMx | ) |

Disable positive drive mode in channelC.

Register|BitsName --------|-------- MODE | DPENC

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 644 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_active_event()

__STATIC_INLINE void ll_pwm_disable_update_active_event | ( | pwm_regs_t * | PWMx | ) |

Disable update active event.

Register|BitsName --------|-------- UPDATE | SSAQCTRL

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1416 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_all()

__STATIC_INLINE void ll_pwm_disable_update_all | ( | pwm_regs_t * | PWMx | ) |

Disable update all parameters.

Register|BitsName --------|-------- UPDATE | SA

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 966 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_breath_period()

__STATIC_INLINE void ll_pwm_disable_update_breath_period | ( | pwm_regs_t * | PWMx | ) |

Disable update breath period.

Register|BitsName --------|-------- UPDATE | SSBRPRD

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1326 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_compare_a0()

__STATIC_INLINE void ll_pwm_disable_update_compare_a0 | ( | pwm_regs_t * | PWMx | ) |

Disable update compareA0.

Register|BitsName --------|-------- UPDATE | SSCMPA0

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1056 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_compare_a1()

__STATIC_INLINE void ll_pwm_disable_update_compare_a1 | ( | pwm_regs_t * | PWMx | ) |

Disable update compareA1.

Register|BitsName --------|-------- UPDATE | SSCMPA1

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1101 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_compare_b0()

__STATIC_INLINE void ll_pwm_disable_update_compare_b0 | ( | pwm_regs_t * | PWMx | ) |

Disable update compareB0.

Register|BitsName --------|-------- UPDATE | SSCMPB0

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1146 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_compare_b1()

__STATIC_INLINE void ll_pwm_disable_update_compare_b1 | ( | pwm_regs_t * | PWMx | ) |

Disable update compareB1.

Register|BitsName --------|-------- UPDATE | SSCMPB1

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1191 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_compare_c0()

__STATIC_INLINE void ll_pwm_disable_update_compare_c0 | ( | pwm_regs_t * | PWMx | ) |

Disable update compareC0.

Register|BitsName --------|-------- UPDATE | SSCMPC0

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1236 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_compare_c1()

__STATIC_INLINE void ll_pwm_disable_update_compare_c1 | ( | pwm_regs_t * | PWMx | ) |

Disable update compareC1.

Register|BitsName --------|-------- UPDATE | SSCMPC1

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1281 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_hold_period()

__STATIC_INLINE void ll_pwm_disable_update_hold_period | ( | pwm_regs_t * | PWMx | ) |

Disable update hold period.

Register|BitsName --------|-------- UPDATE | SSHOLD

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1371 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_disable_update_period()

__STATIC_INLINE void ll_pwm_disable_update_period | ( | pwm_regs_t * | PWMx | ) |

Disable update period.

Register|BitsName --------|-------- UPDATE | SSPRD

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1011 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_dma_get_register_address()

__STATIC_INLINE uint32_t ll_pwm_dma_get_register_address | ( | pwm_regs_t * | PWMx | ) |

Get the coding data register address used for DMA transfer.

Register|BitsName --------|-------- MODE | CODING_DATA

Parameters

  PWMx |

Return values

  Address | of coding data register

Definition at line 2280 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable()

__STATIC_INLINE void ll_pwm_enable | ( | pwm_regs_t * | PWMx | ) |

Enable PWM.

Register|BitsName --------|-------- MODE | EN

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 400 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_pause()

__STATIC_INLINE void ll_pwm_enable_pause | ( | pwm_regs_t * | PWMx | ) |

Enable PWM pause.

Register|BitsName --------|-------- MODE | PAUSE

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 445 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_positive_drive_channel_a()

__STATIC_INLINE void ll_pwm_enable_positive_drive_channel_a | ( | pwm_regs_t * | PWMx | ) |

Enable positive drive mode in channelA.

Register|BitsName --------|-------- MODE | DPENA

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 539 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_positive_drive_channel_b()

__STATIC_INLINE void ll_pwm_enable_positive_drive_channel_b | ( | pwm_regs_t * | PWMx | ) |

Enable positive drive mode in channelB.

Register|BitsName --------|-------- MODE | DPENB

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 584 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_positive_drive_channel_c()

__STATIC_INLINE void ll_pwm_enable_positive_drive_channel_c | ( | pwm_regs_t * | PWMx | ) |

Enable positive drive mode in channelC.

Register|BitsName --------|-------- MODE | DPENC

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 629 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_active_event()

__STATIC_INLINE void ll_pwm_enable_update_active_event | ( | pwm_regs_t * | PWMx | ) |

Enable update active event.

Register|BitsName --------|-------- UPDATE | SSAQCTRL

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1401 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_all()

__STATIC_INLINE void ll_pwm_enable_update_all | ( | pwm_regs_t * | PWMx | ) |

Enable update all parameters.

Register|BitsName --------|-------- UPDATE | SA

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 951 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_breath_period()

__STATIC_INLINE void ll_pwm_enable_update_breath_period | ( | pwm_regs_t * | PWMx | ) |

Enable update breath period.

Register|BitsName --------|-------- UPDATE | SSBRPRD

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1311 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_compare_a0()

__STATIC_INLINE void ll_pwm_enable_update_compare_a0 | ( | pwm_regs_t * | PWMx | ) |

Enable update compareA0.

Register|BitsName --------|-------- UPDATE | SSCMPA0

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1041 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_compare_a1()

__STATIC_INLINE void ll_pwm_enable_update_compare_a1 | ( | pwm_regs_t * | PWMx | ) |

Enable update compareA1.

Register|BitsName --------|-------- UPDATE | SSCMPA1

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1086 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_compare_b0()

__STATIC_INLINE void ll_pwm_enable_update_compare_b0 | ( | pwm_regs_t * | PWMx | ) |

Enable update compareB0.

Register|BitsName --------|-------- UPDATE | SSCMPB0

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1131 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_compare_b1()

__STATIC_INLINE void ll_pwm_enable_update_compare_b1 | ( | pwm_regs_t * | PWMx | ) |

Enable update compareB1.

Register|BitsName --------|-------- UPDATE | SSCMPB1

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1176 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_compare_c0()

__STATIC_INLINE void ll_pwm_enable_update_compare_c0 | ( | pwm_regs_t * | PWMx | ) |

Enable update compareC0.

Register|BitsName --------|-------- UPDATE | SSCMPC0

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1221 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_compare_c1()

__STATIC_INLINE void ll_pwm_enable_update_compare_c1 | ( | pwm_regs_t * | PWMx | ) |

Enable update compareC1.

Register|BitsName --------|-------- UPDATE | SSCMPC1

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1266 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_hold_period()

__STATIC_INLINE void ll_pwm_enable_update_hold_period | ( | pwm_regs_t * | PWMx | ) |

Enable update hold period.

Register|BitsName --------|-------- UPDATE | SSHOLD

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 1356 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_enable_update_period()

__STATIC_INLINE void ll_pwm_enable_update_period | ( | pwm_regs_t * | PWMx | ) |

Enable update period.

Register|BitsName --------|-------- UPDATE | SSPRD

Parameters

  PWMx | PWM instance

Return values

  None |

Definition at line 996 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_action_event_cmp_a0()

__STATIC_INLINE uint32_t ll_pwm_get_action_event_cmp_a0 | ( | pwm_regs_t * | PWMx | ) |

Get the channel A0 action event when PWM counter value reaches compare counter A0.

Register|BitsName --------|-------- AQCTRL | A0

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Definition at line 1687 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_action_event_cmp_a1()

__STATIC_INLINE uint32_t ll_pwm_get_action_event_cmp_a1 | ( | pwm_regs_t * | PWMx | ) |

Get the channel A1 action event when PWM counter value reaches compare counter A1.

Register|BitsName --------|-------- AQCTRL | A1

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Definition at line 1726 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_action_event_cmp_b0()

__STATIC_INLINE uint32_t ll_pwm_get_action_event_cmp_b0 | ( | pwm_regs_t * | PWMx | ) |

Get the channel B0 action event when PWM counter value reaches compare counter B0.

Register|BitsName --------|-------- AQCTRL | B0

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Definition at line 1765 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_action_event_cmp_b1()

__STATIC_INLINE uint32_t ll_pwm_get_action_event_cmp_b1 | ( | pwm_regs_t * | PWMx | ) |

Get the channel B1 action event when PWM counter value reaches compare counter B1.

Register|BitsName --------|-------- AQCTRL | B1

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Definition at line 1804 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_action_event_cmp_c0()

__STATIC_INLINE uint32_t ll_pwm_get_action_event_cmp_c0 | ( | pwm_regs_t * | PWMx | ) |

Get the channel C0 action event when PWM counter value reaches compare counter C0.

Register|BitsName --------|-------- AQCTRL | C0

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Definition at line 1843 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_action_event_cmp_c1()

__STATIC_INLINE uint32_t ll_pwm_get_action_event_cmp_c1 | ( | pwm_regs_t * | PWMx | ) |

Get the channel C1 action event when PWM counter value reaches compare counter C1.

Register|BitsName --------|-------- AQCTRL | C1

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Definition at line 1882 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_breath_prescaler()

__STATIC_INLINE uint32_t ll_pwm_get_breath_prescaler | ( | pwm_regs_t * | PWMx | ) |

Get the breath prescaler in breath mode.

Register|BitsName --------|-------- BRPRD | BRPRD

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1913 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_breath_stop_level()

__STATIC_INLINE uint32_t ll_pwm_get_breath_stop_level | ( | pwm_regs_t * | PWMx | ) |

Get the stop level in breath mode.

Register|BitsName --------|-------- MODE | BREATH_PAUSE_LEVEL

Parameters

  PWMx | PWM breath stop level

Return values

  Return | value of 0 or 1.

Definition at line 1975 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_a_error_status()

__STATIC_INLINE uint8_t ll_pwm_get_coding_a_error_status | ( | pwm_regs_t * | PWMx | ) |

Get pwma coding error status.

Register|BitsName --------|-------- CODING_STATUS | CODING_A_ERROR

Parameters

  PWMx |

Return values

  Return | the pwma coding error status

Definition at line 2145 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_b_error_status()

__STATIC_INLINE uint8_t ll_pwm_get_coding_b_error_status | ( | pwm_regs_t * | PWMx | ) |

Get pwmb coding error status.

Register|BitsName --------|-------- CODING_STATUS | CODING_B_ERROR

Parameters

  PWMx |

Return values

  Return | the pwmb coding error status

Definition at line 2175 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_c_error_status()

__STATIC_INLINE uint8_t ll_pwm_get_coding_c_error_status | ( | pwm_regs_t * | PWMx | ) |

Get pwmc coding error status.

Register|BitsName --------|-------- CODING_STATUS | CODING_C_ERROR

Parameters

  PWMx |

Return values

  Return | the pwmc coding error status

Definition at line 2205 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_channel()

__STATIC_INLINE uint8_t ll_pwm_get_coding_channel | ( | pwm_regs_t * | PWMx | ) |

Get PWM coding channel.

Register|BitsName --------|-------- MODE | CODING_CHANNEL_SELECT

Parameters

  PWMx |

Return values

  Return | value of 0 or 1, 0 represents LL_PWM_CODING_CHANNEL_ALL, 1 represents LL_PWM_CODING_CHANNEL_A

Definition at line 921 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_data()

__STATIC_INLINE uint32_t ll_pwm_get_coding_data | ( | pwm_regs_t * | PWMx | ) |

Get the PWM coding data in coding mode.

Register|BitsName --------|-------- CODING_DATA | CODING_DATA

Parameters

  PWMx |

Return values

  Return | the coding_data value in coding mode.

Definition at line 2100 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_done_status()

__STATIC_INLINE uint8_t ll_pwm_get_coding_done_status | ( | pwm_regs_t * | PWMx | ) |

Get PWM conding done status.

Register|BitsName --------|-------- CODING_STATUS | CODING_DONE

Parameters

  PWMx |

Return values

  Return | the coding done interrupt status

Definition at line 2235 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_load_status()

__STATIC_INLINE uint8_t ll_pwm_get_coding_load_status | ( | pwm_regs_t * | PWMx | ) |

Get PWM conding load status.

Register|BitsName --------|-------- CODING_STATUS | CODING_LOAD

Parameters

  PWMx |

Return values

  Return | the coding load interrupt status

Definition at line 2265 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_coding_status()

__STATIC_INLINE uint32_t ll_pwm_get_coding_status | ( | pwm_regs_t * | PWMx | ) |

Get pwm coding status.

Register|BitsName --------|-------- CODING_STATUS | CODING_STATUS

Parameters

  PWMx |

Return values

  Return | the pwm coding status

Definition at line 2115 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_compare_a0()

__STATIC_INLINE uint32_t ll_pwm_get_compare_a0 | ( | pwm_regs_t * | PWMx | ) |

Get the PWM compare counter A0.

Register|BitsName --------|-------- CMPA0 | CMPA0

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1493 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_compare_a1()

__STATIC_INLINE uint32_t ll_pwm_get_compare_a1 | ( | pwm_regs_t * | PWMx | ) |

Get the PWM compare counter A1.

Register|BitsName --------|-------- CMPA1 | CMPA1

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1524 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_compare_b0()

__STATIC_INLINE uint32_t ll_pwm_get_compare_b0 | ( | pwm_regs_t * | PWMx | ) |

Get the PWM compare counter B0.

Register|BitsName --------|-------- CMPB0 | CMPB0

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1555 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_compare_b1()

__STATIC_INLINE uint32_t ll_pwm_get_compare_b1 | ( | pwm_regs_t * | PWMx | ) |

Get the PWM compare counter B1.

Register|BitsName --------|-------- CMPB1 | CMPB1

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1586 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_compare_c0()

__STATIC_INLINE uint32_t ll_pwm_get_compare_c0 | ( | pwm_regs_t * | PWMx | ) |

Get the PWM compare counter C0.

Register|BitsName --------|-------- CMPC0 | CMPC0

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1617 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_compare_c1()

__STATIC_INLINE uint32_t ll_pwm_get_compare_c1 | ( | pwm_regs_t * | PWMx | ) |

Get the PWM compare counter C1.

Register|BitsName --------|-------- CMPC1 | CMPC1

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 1648 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_data_width_valid()

__STATIC_INLINE uint8_t ll_pwm_get_data_width_valid | ( | pwm_regs_t * | PWMx | ) |

Get the valid coding data width.

Register|BitsName --------|-------- DATA_WIDTH_VALID | DATA_WIDTH_VALID

Parameters

  PWMx |

Return values

  Return | the valid data width in coding mode

Definition at line 2069 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_dma_en()

__STATIC_INLINE uint8_t ll_pwm_get_dma_en | ( | pwm_regs_t * | PWMx | ) |

Get DMA enable or disable.

Register|BitsName --------|-------- MODE | DMA_EN

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 890 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_flicker_stop_level_a()

__STATIC_INLINE uint32_t ll_pwm_get_flicker_stop_level_a | ( | pwm_regs_t * | PWMx | ) |

Get the channel_a stop level in flicker mode.

Register|BitsName --------|-------- MODE | FLICKER_PAUSE_LEVEL_A

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 690 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_flicker_stop_level_b()

__STATIC_INLINE uint32_t ll_pwm_get_flicker_stop_level_b | ( | pwm_regs_t * | PWMx | ) |

Get the channel_b stop level in flicker mode.

Register|BitsName --------|-------- MODE | FLICKER_PAUSE_LEVEL_B

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 721 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_flicker_stop_level_c()

__STATIC_INLINE uint32_t ll_pwm_get_flicker_stop_level_c | ( | pwm_regs_t * | PWMx | ) |

Get the channel_c stop level in flicker mode.

Register|BitsName --------|-------- MODE | FLICKER_PAUSE_LEVEL_C

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 752 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_hold_prescaler()

__STATIC_INLINE uint32_t ll_pwm_get_hold_prescaler | ( | pwm_regs_t * | PWMx | ) |

Get the hold prescaler in breath mode.

Register|BitsName --------|-------- HOLD | HOLD

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFF

Definition at line 1944 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_mode()

__STATIC_INLINE ll_pwm_mode_t ll_pwm_get_mode | ( | pwm_regs_t * | PWMx | ) |

Get PWM mode.

Register|BitsName --------|-------- MODE | BREATHEN and CODINGEN

Parameters

  PWMx | PWM instance

Return values

  Return | value can be one of the following values: LL_PWM_FLICKER_MODE LL_PWM_BREATH_MODE LL_PWM_CODING_MODE

Definition at line 520 of file gr533x_ll_pwm.h.

References LL_PWM_BREATH_MODE, LL_PWM_CODING_MODE, and LL_PWM_FLICKER_MODE.

## ◆ ll_pwm_get_prd_cycles()

__STATIC_INLINE uint32_t ll_pwm_get_prd_cycles | ( | pwm_regs_t * | PWMx | ) |

Get the number of PWM period cycle.

Register|BitsName --------|-------- PRD_CYCLES | PRD_CYCLES

Parameters

  PWMx |

Return values

  Return | value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF.

Definition at line 2006 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_prescaler()

__STATIC_INLINE uint32_t ll_pwm_get_prescaler | ( | pwm_regs_t * | PWMx | ) |

Get the PWM prescaler.

Register|BitsName --------|-------- PRD | PRD

Parameters

  PWMx | PWM instance

Return values

  Return | value ranges between Min_Data=1 and Max_Data=0xFFFFFFFF

Definition at line 1462 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_waiting_time()

__STATIC_INLINE uint32_t ll_pwm_get_waiting_time | ( | pwm_regs_t * | PWMx | ) |

Get the waiting time count.

Register|BitsName --------|-------- WAIT_TIME | WAIT_TIME

Parameters

  PWMx |

Return values

  Return | count value ranges between Min_Data=0 and Max_Data=0xFFFFFFFF.

Definition at line 2037 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_waiting_time_level_a()

__STATIC_INLINE uint8_t ll_pwm_get_waiting_time_level_a | ( | pwm_regs_t * | PWMx | ) |

Get the channel_a waiting time level in coding mode.

Register|BitsName --------|-------- MODE | WAITING_TIME_LEVEL_A

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 783 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_waiting_time_level_b()

__STATIC_INLINE uint8_t ll_pwm_get_waiting_time_level_b | ( | pwm_regs_t * | PWMx | ) |

Get the channel_b waiting time level in coding mode.

Register|BitsName --------|-------- MODE | WAITING_TIME_LEVEL_B

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 814 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_get_waiting_time_level_c()

__STATIC_INLINE uint8_t ll_pwm_get_waiting_time_level_c | ( | pwm_regs_t * | PWMx | ) |

Get the channel_c waiting time level in coding mode.

Register|BitsName --------|-------- MODE | WAITING_TIME_LEVEL_C

Parameters

  PWMx |

Return values

  Return | value of 0 or 1.

Definition at line 845 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_active_flag_update_all()

__STATIC_INLINE uint32_t ll_pwm_is_active_flag_update_all | ( | pwm_regs_t * | PWMx | ) |

Check update active flag.

Register|BitsName --------|-------- UPDATE | SAG

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 936 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled()

__STATIC_INLINE uint32_t ll_pwm_is_enabled | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the PWM is enabled.

Register|BitsName --------|-------- MODE | EN

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 430 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_pause()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_pause | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the PWM pause is enabled.

Register|BitsName --------|-------- MODE | PAUSE

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 475 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_positive_drive_channel_a()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_positive_drive_channel_a | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the positive drive mode in channelA is enabled.

Register|BitsName --------|-------- MODE | DPENA

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 569 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_positive_drive_channel_b()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_positive_drive_channel_b | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the positive drive mode in channelB is enabled.

Register|BitsName --------|-------- MODE | DPENB

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 614 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_positive_drive_channel_c()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_positive_drive_channel_c | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the positive drive mode in channelC is enabled.

Register|BitsName --------|-------- MODE | DPENC

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 659 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_active_event()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_active_event | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update active event is enabled.

Register|BitsName --------|-------- UPDATE | SSAQCTRL

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1431 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_all()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_all | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update all parameters is enabled.

Register|BitsName --------|-------- UPDATE | SA

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 981 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_breath_period()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_breath_period | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update breath period is enabled.

Register|BitsName --------|-------- UPDATE | SSBRPRD

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1341 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_compare_a0()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_compare_a0 | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update compareA0 is enabled.

Register|BitsName --------|-------- UPDATE | SSCMPA0

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1071 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_compare_a1()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_compare_a1 | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update compareA1 is enabled.

Register|BitsName --------|-------- UPDATE | SSCMPA1

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1116 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_compare_b0()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_compare_b0 | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update compareB0 is enabled.

Register|BitsName --------|-------- UPDATE | SSCMPB0

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1161 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_compare_b1()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_compare_b1 | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update compareB1 is enabled.

Register|BitsName --------|-------- UPDATE | SSCMPB1

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1206 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_compare_c0()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_compare_c0 | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update compareC0 is enabled.

Register|BitsName --------|-------- UPDATE | SSCMPC0

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1251 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_compare_c1()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_compare_c1 | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update compareC1 is enabled.

Register|BitsName --------|-------- UPDATE | SSCMPC1

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1296 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_hold_period()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_hold_period | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update hold period is enabled.

Register|BitsName --------|-------- UPDATE | SSHOLD

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1386 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_is_enabled_update_period()

__STATIC_INLINE uint32_t ll_pwm_is_enabled_update_period | ( | pwm_regs_t * | PWMx | ) |

Indicate whether the update period is enabled.

Register|BitsName --------|-------- UPDATE | SSPRD

Parameters

  PWMx | PWM instance

Return values

  State | of bit (1 or 0).

Definition at line 1026 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_action_event_cmp_a0()

__STATIC_INLINE void ll_pwm_set_action_event_cmp_a0 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | action_event
| ) |  |

Set the channel A0 action event when PWM counter value reaches compare counter A0.

Register|BitsName --------|-------- AQCTRL | A0

Parameters

  PWMx | PWM instance
  action_event | This parameter can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Return values

  None |

Definition at line 1668 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_action_event_cmp_a1()

__STATIC_INLINE void ll_pwm_set_action_event_cmp_a1 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | action_event
| ) |  |

Set the channel A1 action event when PWM counter value reaches compare counter A1.

Register|BitsName --------|-------- AQCTRL | A1

Parameters

  PWMx | PWM instance
  action_event | This parameter can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Return values

  None |

Definition at line 1707 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_action_event_cmp_b0()

__STATIC_INLINE void ll_pwm_set_action_event_cmp_b0 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | action_event
| ) |  |

Set the channel B0 action event when PWM counter value reaches compare counter B0.

Register|BitsName --------|-------- AQCTRL | B0

Parameters

  PWMx | PWM instance
  action_event | This parameter can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Return values

  None |

Definition at line 1746 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_action_event_cmp_b1()

__STATIC_INLINE void ll_pwm_set_action_event_cmp_b1 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | action_event
| ) |  |

Set the channel B1 action event when PWM counter value reaches compare counter B1.

Register|BitsName --------|-------- AQCTRL | B1

Parameters

  PWMx | PWM instance
  action_event | This parameter can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Return values

  None |

Definition at line 1785 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_action_event_cmp_c0()

__STATIC_INLINE void ll_pwm_set_action_event_cmp_c0 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | action_event
| ) |  |

Set the channel C0 action event when PWM counter value reaches compare counter C0.

Register|BitsName --------|-------- AQCTRL | C0

Parameters

  PWMx | PWM instance
  action_event | This parameter can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Return values

  None |

Definition at line 1824 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_action_event_cmp_c1()

__STATIC_INLINE void ll_pwm_set_action_event_cmp_c1 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | action_event
| ) |  |

Set the channel C1 action event when PWM counter value reaches compare counter C1.

Register|BitsName --------|-------- AQCTRL | C1

Parameters

  PWMx | PWM instance
  action_event | This parameter can be one of the following values: LL_PWM_ACTIONEVENT_NONE LL_PWM_ACTIONEVENT_CLEAR LL_PWM_ACTIONEVENT_SET LL_PWM_ACTIONEVENT_TOGGLE

Return values

  None |

Definition at line 1863 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_breath_prescaler()

__STATIC_INLINE void ll_pwm_set_breath_prescaler | ( | pwm_regs_t * | PWMx,
|  | uint32_t | bprescaler
| ) |  |

Set the breath prescaler in breath mode.

Register|BitsName --------|-------- BRPRD | BRPRD

Parameters

  PWMx | PWM instance
  bprescaler | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1898 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_breath_stop_level()

__STATIC_INLINE void ll_pwm_set_breath_stop_level | ( | pwm_regs_t * | PWMx,
|  | uint32_t | breathstop_lvl
| ) |  |

Set the stop level in breath mode.

Register|BitsName --------|-------- MODE | BREATH_PAUSE_LEVEL

Parameters

  PWMx | PWM breath stop level
  breathstop_lvl | This parameter can be set with 0 or 1.

Return values

  None |

Definition at line 1960 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_coding_data()

__STATIC_INLINE void ll_pwm_set_coding_data | ( | pwm_regs_t * | PWMx,
|  | uint32_t | coding_data
| ) |  |

Set the PWM coding data in coding mode.

Register|BitsName --------|-------- CODING_DATA | CODING_DATA

Parameters

  PWMx |
  coding_data | This parameter control PWM generate waveform by coding data.

Return values

  None. |

Definition at line 2085 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_compare_a0()

__STATIC_INLINE void ll_pwm_set_compare_a0 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | compare
| ) |  |

Set the PWM compare counter A0.

Register|BitsName --------|-------- CMPA0 | CMPA0

Parameters

  PWMx | PWM instance
  compare | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1478 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_compare_a1()

__STATIC_INLINE void ll_pwm_set_compare_a1 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | compare
| ) |  |

Set the PWM compare counter A1.

Register|BitsName --------|-------- CMPA1 | CMPA1

Parameters

  PWMx | PWM instance
  compare | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1509 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_compare_b0()

__STATIC_INLINE void ll_pwm_set_compare_b0 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | compare
| ) |  |

Set the PWM compare counter B0.

Register|BitsName --------|-------- CMPB0 | CMPB0

Parameters

  PWMx | PWM instance
  compare | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1540 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_compare_b1()

__STATIC_INLINE void ll_pwm_set_compare_b1 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | compare
| ) |  |

Set the PWM compare counter B1.

Register|BitsName --------|-------- CMPB1 | CMPB1

Parameters

  PWMx | PWM instance
  compare | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1571 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_compare_c0()

__STATIC_INLINE void ll_pwm_set_compare_c0 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | compare
| ) |  |

Set the PWM compare counter C0.

Register|BitsName --------|-------- CMPC0 | CMPC0

Parameters

  PWMx | PWM instance
  compare | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1602 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_compare_c1()

__STATIC_INLINE void ll_pwm_set_compare_c1 | ( | pwm_regs_t * | PWMx,
|  | uint32_t | compare
| ) |  |

Set the PWM compare counter C1.

Register|BitsName --------|-------- CMPC1 | CMPC1

Parameters

  PWMx | PWM instance
  compare | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1633 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_data_width_valid()

__STATIC_INLINE void ll_pwm_set_data_width_valid | ( | pwm_regs_t * | PWMx,
|  | uint8_t | data_valid_width
| ) |  |

Set the valid coding data width in coding mode.

Register|BitsName --------|-------- DATA_WIDTH_VALID | DATA_WIDTH_VALID

Parameters

  PWMx |
  data_valid_width | This parameter control coding data valid width = DATA_WIDTH_VALID + 1, DATA_WIDTH_VALID value ranges between Min_Data = 0x0 and Max_Data = 0x1F.

Return values

  None. |

Definition at line 2054 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_dma_disable()

__STATIC_INLINE void ll_pwm_set_dma_disable | ( | pwm_regs_t * | PWMx | ) |

Set DMA disable in coding mode.

Register|BitsName --------|-------- MODE | DMA_EN

Parameters

  PWMx |

Return values

  None |

Definition at line 875 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_dma_enable()

__STATIC_INLINE void ll_pwm_set_dma_enable | ( | pwm_regs_t * | PWMx | ) |

Set DMA enable in coding mode.

Register|BitsName --------|-------- MODE | DMA_EN

Parameters

  PWMx |

Return values

  None |

Definition at line 860 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_flicker_stop_level_a()

__STATIC_INLINE void ll_pwm_set_flicker_stop_level_a | ( | pwm_regs_t * | PWMx,
|  | uint32_t | flickerstop_lvl
| ) |  |

Set the channel_a stop level in flicker mode.

Register|BitsName --------|-------- MODE | FLICKER_PAUSE_LEVEL_A

Parameters

  PWMx | PWM flicker stop level
  flickerstop_lvl | This parameter can be set with 0 or 1.

Return values

  None |

Definition at line 675 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_flicker_stop_level_b()

__STATIC_INLINE void ll_pwm_set_flicker_stop_level_b | ( | pwm_regs_t * | PWMx,
|  | uint32_t | flickerstop_lvl
| ) |  |

Set the channel_b stop level in flicker mode.

Register|BitsName --------|-------- MODE | FLICKER_PAUSE_LEVEL_B

Parameters

  PWMx | PWM flicker stop level
  flickerstop_lvl | This parameter can be set with 0 or 1.

Return values

  None |

Definition at line 706 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_flicker_stop_level_c()

__STATIC_INLINE void ll_pwm_set_flicker_stop_level_c | ( | pwm_regs_t * | PWMx,
|  | uint32_t | flickerstop_lvl
| ) |  |

Set the channel_c stop level in flicker mode.

Register|BitsName --------|-------- MODE | FLICKER_PAUSE_LEVEL_C

Parameters

  PWMx | PWM flicker stop level
  flickerstop_lvl | This parameter can be set with 0 or 1.

Return values

  None |

Definition at line 737 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_hold_prescaler()

__STATIC_INLINE void ll_pwm_set_hold_prescaler | ( | pwm_regs_t * | PWMx,
|  | uint32_t | hprescaler
| ) |  |

Set the hold prescaler in breath mode.

Register|BitsName --------|-------- HOLD | HOLD

Parameters

  PWMx | PWM instance
  hprescaler | This parameter ranges between Min_Data=0 and Max_Data=0xFFFFFF

Return values

  None |

Definition at line 1929 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_mode()

__STATIC_INLINE void ll_pwm_set_mode | ( | pwm_regs_t * | PWMx,
|  | ll_pwm_mode_t | mode
| ) |  |

Set PWM mode.

Register|BitsName --------|-------- MODE | BREATHEN and CODINGEN

Parameters

  PWMx | PWM instance
  mode | This parameter can be one of the following values: LL_PWM_FLICKER_MODE LL_PWM_BREATH_MODE LL_PWM_CODING_MODE

Return values

  None |

Definition at line 494 of file gr533x_ll_pwm.h.

References LL_PWM_BREATH_MODE, and LL_PWM_CODING_MODE.

## ◆ ll_pwm_set_prd_cycles()

__STATIC_INLINE void ll_pwm_set_prd_cycles | ( | pwm_regs_t * | PWMx,
|  | uint32_t | prd_cycles
| ) |  |

Set the number of PWM period cycle in flicker mode or coding mode.

Register|BitsName --------|-------- PRD_CYCLES | PRD_CYCLES

Parameters

  PWMx |
  prd_cycles | This parameter control the number of period cycles, when set to 0 will continuously generate waveform.

Return values

  None. |

Definition at line 1991 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_prescaler()

__STATIC_INLINE void ll_pwm_set_prescaler | ( | pwm_regs_t * | PWMx,
|  | uint32_t | prescaler
| ) |  |

Set the PWM prescaler.

Register|BitsName --------|-------- PRD | PRD

Parameters

  PWMx | PWM instance
  prescaler | This parameter ranges between Min_Data=1 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1447 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_waiting_time()

__STATIC_INLINE void ll_pwm_set_waiting_time | ( | pwm_regs_t * | PWMx,
|  | uint32_t | waiting_time
| ) |  |

Set the waiting time count in coding mode.

Register|BitsName --------|-------- WAIT_TIME | WAIT_TIME

Parameters

  PWMx |
  waiting_time | This parameter control PWM waiting time in the coding mode.

Return values

  None. |

Definition at line 2022 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_waiting_time_level_a()

__STATIC_INLINE void ll_pwm_set_waiting_time_level_a | ( | pwm_regs_t * | PWMx,
|  | uint8_t | waiting_time_lvl
| ) |  |

Set the channel_a waiting time level in coding mode.

Register|BitsName --------|-------- MODE | WAITING_TIME_LEVEL_A

Parameters

  PWMx |
  waiting_time_lvl | This parameter can be set with LL_PWM_WAITING_TIME_LVL_LOW or LL_PWM_WAITING_TIME_LVL_HIGH.

Return values

  None |

Definition at line 768 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_waiting_time_level_b()

__STATIC_INLINE void ll_pwm_set_waiting_time_level_b | ( | pwm_regs_t * | PWMx,
|  | uint8_t | waiting_time_lvl
| ) |  |

Set the channel_b waiting time level in coding mode.

Register|BitsName --------|-------- MODE | WAITING_TIME_LEVEL_B

Parameters

  PWMx |
  waiting_time_lvl | This parameter can be set with LL_PWM_WAITING_TIME_LVL_LOW or LL_PWM_WAITING_TIME_LVL_HIGH.

Return values

  None |

Definition at line 799 of file gr533x_ll_pwm.h.

## ◆ ll_pwm_set_waiting_time_level_c()

__STATIC_INLINE void ll_pwm_set_waiting_time_level_c | ( | pwm_regs_t * | PWMx,
|  | uint8_t | waiting_time_lvl
| ) |  |

Set the channel_c waiting time level in coding mode.

Register|BitsName --------|-------- MODE | WAITING_TIME_LEVEL_C

Parameters

  PWMx |
  waiting_time_lvl | This parameter can be set with LL_PWM_WAITING_TIME_LVL_LOW or LL_PWM_WAITING_TIME_LVL_HIGH.

Return values

  None |

Definition at line 830 of file gr533x_ll_pwm.h.